Version 2 (OAuth2)
Authorization flow

Step one: Redirect a user to your app
This endpoint enables authorization of your access to API.
Required scopes
This endpoint requires the following scopes:
- : allows connection to resources
Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
Query parameters
scopestringRequiredExample:
connectclient_idstringRequired
redirect_uristringRequiredExample:
https://www.integromat.com/oauth/cb/appresponse_typestringRequiredExample:
codeResponses
200
OK
application/json
codestringOptional
400
Bad Request
404
Not Found
501
Not Supported
get
/authorizeStep two: Handle the callback request
Step three: Retrieve an access token and refresh token
This endpoint retrieves the token.
Required scopes
This endpoint requires the following scopes:
- : allows connection to resources
Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
Body
codestringRequired
client_idstringRequired
grant_typestringRequiredExample:
authorization_coderedirect_uristringRequiredExample:
https://www.integromat.com/oauth/cb/appclient_secretstringRequired
Responses
200
OK
application/json
access_tokenstringOptional
expires_innumberOptionalExample:
5refresh_tokenstringOptional
refresh_expires_innumberOptionalExample:
5400
Bad Request
404
Not Found
501
Not Supported
post
/tokenStep four: Make an API request
This endpoint retrieves info about the connected account.
Required scopes
This endpoint requires the following scopes:
- : allows connection to resources
Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
Header parameters
authorizationstringRequiredExample:
Bearer [accessToken]Responses
200
OK
application/json
idstringOptionalExample:
d1b03e513fbc5881651d6c149fd259506f975ae1userstringOptionalExample:
Jane Doe401
Not Authorized.
403
Missing Scope.
get
/infoStep five: Refresh the access token
This endpoint retrieves the refresh token.
Required scopes
This endpoint requires the following scopes:
- : allows connection to resources
Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
Body
client_idstringOptional
grant_typestringOptionalExample:
refresh_tokenclient_secretstringOptional
refresh_tokenstringOptional
Responses
200
OK
application/json
access_tokenstringOptional
expires_innumberOptionalExample:
5refresh_tokenstringOptional
refresh_expires_innumberOptionalExample:
5400
Bad Request
404
Not Found
501
Not Supported
post
/refreshStep six: Access invalidation
This endpoint invalidates the access token.
Required scopes
This endpoint requires the following scopes:
- : allows connection to resources
Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
Header parameters
authorizationstringRequiredExample:
Bearer [accessToken]Responses
204
OK
401
Not Authorized.
get
/invalidateNo content
Scopes
Endpoint
Scope
Endpoints
Version 1 (API key)Last updated

